#### PyKDE - Python Bindings for KDE

# class konsoleFactory |
Table of contents
Modules
tdeparts Classes
All Classes

Module | tdeparts
Class | konsoleFactory
Inherits | KParts.Factory

### methods

- createPartObject (parentWidget = 0, widgetName = 0, parent = 0, name = 0, classname = "KParts.Part", args = TQStringList ())

  returns (KParts.Part)
  Argument | Type | Default
  --- | --- | ---
  parentWidget | TQWidget | 0
  widgetName | char | 0
  parent | TQObject | 0
  name | char | 0
  classname | char | "KParts.Part"
  args | TQStringList | TQStringList ()

- instance ()

  returns (TDEInstance)
  static

- konsoleFactory ()

  returns a konsoleFactory instance